> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qanapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user



## OpenAPI

````yaml /openapi/v3.yaml delete /users/{user}
openapi: 3.0.0
info:
  title: Qanapi API v3
  version: 3.0.0
  description: Qanapi API version 3
servers:
  - url: https://{subdomain}.qanapi.cloud/api/v3
    description: The Qanapi API server
    variables:
      subdomain:
        default: ''
        description: Customer-specific subdomain.
security:
  - ApiKey: []
paths:
  /users/{user}:
    parameters:
      - name: user
        in: path
        required: true
        schema:
          type: integer
    delete:
      summary: Delete user
      responses:
        '204':
          description: User deleted
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                userDeleted:
                  value:
                    message: >-
                      User is deleted.  Use restore route before editing the
                      user.
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/ForbiddenAndUnauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: An error occurred.
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: Unauthorized.
    ForbiddenAndUnauthorized:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Forbidden
              value:
                message: User does not have the right permissions.
            unauthorized:
              summary: Unauthorized
              value:
                message: Unauthorized.
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: Resource not found.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Qanapi-Authorization

````